> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispatch consolidated shipment

> Dispatches multiple orders that ship together as a single consolidated shipment. Global-e generates the shared manifest and AWB and returns the shipping documents.

Use this method to dispatch a group of orders that ship together as a **single consolidated shipment** — one shared manifest and AWB across all the orders in the request. Submit the order IDs to manifest (and the number of outer boxes); Global-e generates the consolidated manifest and returns the associated shipping documents and tracking details.

## Error codes

The following error codes may be returned in the response. For more information, see the DispatchOrders error codes.

| Error Code | Error Text in response                                                                                                                                                                   | Description                                                                                                                                                                   |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| B001       | Order ID not found                                                                                                                                                                       | Refers to an Order ID provided by the merchant that does not exist.                                                                                                           |
| B002       | Order cannot be dispatched.                                                                                                                                                              | Order and/or parcels have the wrong status. Possible reasons: Order AWB generation has failed; Order yet to be processed with GetShippingDocuments; Order already dispatched. |
| B003       | Order must be dispatched as part of a consolidated shipment                                                                                                                              | For consolidated post orders.                                                                                                                                                 |
| B004       | Order must NOT be dispatched as part of a consolidated shipment                                                                                                                          | For NON-consolidated post orders.                                                                                                                                             |
| B100       | There are no orders valid for dispatch.                                                                                                                                                  | Relevant for dispatch requests that do not contain any valid order for dispatch.                                                                                              |
| B200       | Could not determine the destination hub. Either none or more than one hub was found.                                                                                                     | Relevant for consolidated shipment dispatch requests that contain orders associated with more than one hub.                                                                   |
| B300       | The number of outer boxes cannot be greater than the number of parcels. The total number of parcels is `%Number of Parcels%` and the number of outer boxes is `%Number of outer boxes%`. | —                                                                                                                                                                             |
| B400       | Could not create the manifest                                                                                                                                                            | Relevant when the hub manifest cannot be created.                                                                                                                             |
| B401       | Parcel code(s) not found: `{parcel code}`                                                                                                                                                | —                                                                                                                                                                             |
| B402       | Tracking number(s) not found: `{parcel code}`                                                                                                                                            | —                                                                                                                                                                             |
| B403       | Parcel-level dispatch is not enabled for this merchant                                                                                                                                   | —                                                                                                                                                                             |
| B404       | At least one of ParcelCodes, TrackingNumbers, OrderIds, or MerchantOrderIds must be provided                                                                                             | —                                                                                                                                                                             |
| B500       | Could not create AWB                                                                                                                                                                     | Relevant when the consolidated AWB cannot be created.                                                                                                                         |
| B600       | Configuration error. Cannot determine source hub. Please contact Global-e TechSupport.                                                                                                   | There is a configuration error on the Global-e side — more than one merchant hub is configured.                                                                               |
| B700       | Unknown failure                                                                                                                                                                          | Relevant for general errors and unhandled exceptions.                                                                                                                         |
| B800       | Hub Code is required                                                                                                                                                                     | Merchant is configured to use multiple hubs per order but did not send a hub code.                                                                                            |


## OpenAPI

````yaml api-reference/specs/dispatchconsolidatedshipment.yaml POST /Order/DispatchConsolidatedShipment
openapi: 3.0.3
info:
  title: DispatchConsolidatedShipment
  version: 1.0.0
  description: >-
    Dispatches multiple orders that ship together as a single consolidated
    shipment. Global-e generates the shared manifest and AWB and returns the
    shipping documents.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: DispatchConsolidatedShipment
    x-page-title: DispatchConsolidatedShipment
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Shipping'
paths:
  /Order/DispatchConsolidatedShipment:
    post:
      tags:
        - DispatchConsolidatedShipment
      summary: Dispatch orders as a single consolidated shipment
      description: >-
        Dispatches multiple orders that ship together as a single consolidated
        shipment. The merchant submits the order IDs (and the number of outer
        boxes) to be manifested; Global-e generates the shared manifest and AWB
        and returns the associated shipping documents and tracking details.
      operationId: dispatchConsolidatedShipment
      requestBody:
        required: true
        description: Include post data list for order IDs and outer boxes amount.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOrdersManifestRequest'
            example:
              OrderIds:
                - GE2794623GB
                - GE2794622GB
                - GE2794621GB
              OuterBoxesAmount: 1
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderDocumentsResponse'
components:
  schemas:
    GetOrdersManifestRequest:
      type: object
      title: GetOrdersManifestRequest
      description: Includes order manifest data for the order shipment process.
      properties:
        HubCode:
          type: string
          description: >-
            The Merchant hub code that indicates which hub the parcels or orders
            are being dispatched from. NOTE: hubCode should be mapped to a
            Global-e hubId on the Global-e side.
        MerchantOrderIds:
          type: array
          description: The list of Merchant Order IDs to manifest.
          items:
            type: string
        OrderIds:
          type: array
          description: The list of order IDs to manifest.
          items:
            type: string
        OuterBoxesAmount:
          type: number
          description: >-
            The number of outer boxes that are used through the manifest
            processing for DispatchConsolidatedShipment.
    OrderDocumentsResponse:
      type: object
      title: OrderDocumentsResponse
      description: Provides order documents for the order shipment process.
      properties:
        IsSuccess:
          type: boolean
          description: >-
            Indicates if the API call was successful or not. TRUE - API call was
            successful; FALSE - API call was not successful.
        ErrorText:
          type: string
          nullable: true
          description: Description of the error to get documents.
        Documents:
          type: array
          nullable: true
          description: >-
            List of OrderDocument objects that hold the shipping documents,
            populated by the GetShippingDocuments method.
          items:
            $ref: '#/components/schemas/OrderDocument'
        ShipperManifests:
          type: array
          nullable: true
          description: >-
            List of OrderDocument objects that hold shipper manifest documents,
            including the consolidated shipment manifest.
          items:
            $ref: '#/components/schemas/OrderDocument'
        ParcelsTracking:
          type: array
          nullable: true
          description: >-
            List of Merchant.ParcelTracking objects, each object holds the
            parcel tracking number and full tracking URL for the relevant
            shipper (with the parcel tracking number).
          items:
            $ref: '#/components/schemas/MerchantParcelTracking'
        TrackingDetails:
          allOf:
            - $ref: '#/components/schemas/MerchantTrackingDetails'
          nullable: true
          description: Order tracking information.
        DeliveryAdviceInformation:
          type: array
          nullable: true
          description: >-
            List of DeliveryAdviceInformation objects that hold the information
            required for the "Delivery Advice" document.
          items:
            $ref: '#/components/schemas/DeliveryAdviceInformation'
    OrderDocument:
      type: object
      title: OrderDocument
      properties:
        CreationDateTime:
          type: string
          format: date-time
          nullable: true
          description: The date and time the document was created.
        DocumentData:
          type: string
          description: Base64 encoded byte array representing the document file content.
        DocumentExtension:
          type: string
          description: Document extension (PDF, ZPL, EPL).
        DocumentReference:
          type: string
          nullable: true
          description: >-
            The reference provided by the government authorities to this
            document (such as MRN or ITN number).
        DocumentTypeCode:
          type: string
          description: >-
            Document type code, this value can be: CommercialInvoice = 1,
            PackingList = 2, ShipperManifest = 3, Label = 4, VATInvoice = 5,
            DangerousGoodDeclarationLink = 6, GELabel = 7,
            CustomerReceiptInvoice = 8, ArchibeLabel = 9, DeliveryAdvice = 10,
            EAD = 11.
          enum:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
            - '6'
            - '7'
            - '8'
            - '9'
            - '10'
            - '11'
        DocumentTypeName:
          type: string
          description: >-
            Document type name, e.g. AWB, CommercialInvoiceAndPackingList or
            Manifest.
        ErrorMessage:
          type: string
          nullable: true
          description: >-
            Description of the error for this entity (order/parcel) if it
            happened.
        ParcelCode:
          type: string
          nullable: true
          description: The parcel code related to the document.
        ShippingServiceName:
          type: string
          nullable: true
          description: >-
            The name of the shipping service for this document (relevant for
            DispatchOrders and DispatchConsolidatedShipment).
        TrackingNumber:
          type: string
          nullable: true
          description: Shipping tracking number associated with the document.
        URL:
          type: string
          format: uri
          description: URL of the document.
    MerchantParcelTracking:
      type: object
      title: Merchant.ParcelTracking
      properties:
        ParcelCode:
          type: string
          description: Parcel code.
        ParcelTrackingNumber:
          type: string
          description: >-
            The tracking number is used by the selected international shipping
            method for this parcel.
        ParcelTrackingUrl:
          type: string
          format: uri
          description: >-
            Full tracking URL including ParcelTrackingNumber used by the
            selected international shipping method for this parcel.
    MerchantTrackingDetails:
      type: object
      title: Merchant.TrackingDetails
      properties:
        ShipperName:
          type: string
          description: The shipping method name.
        TrackingNumber:
          type: string
          description: The tracking number as the shipper has specified.
        TrackingURL:
          type: string
          format: uri
          description: >-
            Full tracking URL including the TrackingNumber used by the selected
            international shipping method.
    DeliveryAdviceInformation:
      type: object
      title: DeliveryAdviceInformation
      properties:
        CommercialInvoiceNumber:
          type: string
          nullable: true
          description: >-
            Commercial invoice number of the parcel if it exists on the parcel
            level, otherwise order commercial invoice number. Can be null if a
            commercial invoice does not exist for the order.
        CurrencyCode:
          type: string
          description: 3-char ISO currency code related to TotalValue.
        ParcelCode:
          type: string
          description: Code used to identify the Parcel on the Merchant's site.
        TotalValue:
          type: string
          description: Value of all products in the parcel.

````